# XQilla Simple API Documentation

# QueryPathTreeFilter Class Reference

`#include <QueryPathTreeFilter.hpp>`

Inheritance diagram for QueryPathTreeFilter:
[legend]

List of all members.

## Classes

struct | StackEntry

## Public Member Functions

| QueryPathTreeFilter (const QueryPathNode *qpn, EventHandler *next)
| QueryPathTreeFilter (const QPNVector &qpns, EventHandler *next)
virtual | ~QueryPathTreeFilter ()
virtual void | startDocumentEvent (const XMLCh *documentURI, const XMLCh *encoding)
| Handles a document node as an event.
virtual void | endDocumentEvent ()
| Handles a document node as an event.
virtual void | startElementEvent (const XMLCh *prefix, const XMLCh *uri, const XMLCh *localname)
| Handles the start of an element node as an event.
virtual void | endElementEvent (const XMLCh *prefix, const XMLCh *uri, const XMLCh *localname, const XMLCh *typeURI, const XMLCh *typeName)
| Handles the end of an element node as an event.
virtual void | piEvent (const XMLCh *target, const XMLCh *value)
| Handles a processing instruction node as an event.
virtual void | textEvent (const XMLCh *value)
| Handles a text node as an event.
virtual void | textEvent (const XMLCh *chars, unsigned int length)
| Handles a text node as an event.
virtual void | commentEvent (const XMLCh *value)
| Handles a comment node as an event.
virtual void | attributeEvent (const XMLCh *prefix, const XMLCh *uri, const XMLCh *localname, const XMLCh *value, const XMLCh *typeURI, const XMLCh *typeName)
| Handles an attribute node as an event.
virtual void | namespaceEvent (const XMLCh *prefix, const XMLCh *uri)
| Handles a namespace binding as an event.

## Protected Types

typedef std::vector< StackEntry * > | FilterStack

## Protected Member Functions

void | checkAncestors (FilterStack::reverse_iterator s)

## Protected Attributes

FilterStack | stack_

## Member Typedef Documentation

typedef std::vector<StackEntry*> QueryPathTreeFilter::FilterStack `[protected]`

## Constructor & Destructor Documentation

QueryPathTreeFilter::QueryPathTreeFilter | ( | const QueryPathNode * | qpn,
|  | EventHandler * | next |
| ) |  |  |

QueryPathTreeFilter::QueryPathTreeFilter | ( | const QPNVector & | qpns,
|  | EventHandler * | next |
| ) |  |  |

virtual QueryPathTreeFilter::~QueryPathTreeFilter | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void QueryPathTreeFilter::attributeEvent | ( | const XMLCh * | prefix,
|  | const XMLCh * | uri,
|  | const XMLCh * | localname,
|  | const XMLCh * | value,
|  | const XMLCh * | typeURI,
|  | const XMLCh * | typeName |
| ) |  |  | `[virtual]`

Handles an attribute node as an event.

Reimplemented from EventFilter.

void QueryPathTreeFilter::checkAncestors | ( | FilterStack::reverse_iterator | s | ) | `[protected]`

virtual void QueryPathTreeFilter::commentEvent | ( | const XMLCh * | value | ) | `[virtual]`

Handles a comment node as an event.

Reimplemented from EventFilter.

virtual void QueryPathTreeFilter::endDocumentEvent | ( |  | ) | `[virtual]`

Handles a document node as an event.

Reimplemented from EventFilter.

virtual void QueryPathTreeFilter::endElementEvent | ( | const XMLCh * | prefix,
|  | const XMLCh * | uri,
|  | const XMLCh * | localname,
|  | const XMLCh * | typeURI,
|  | const XMLCh * | typeName |
| ) |  |  | `[virtual]`

Handles the end of an element node as an event.

Reimplemented from EventFilter.

virtual void QueryPathTreeFilter::namespaceEvent | ( | const XMLCh * | prefix,
|  | const XMLCh * | uri |
| ) |  |  | `[virtual]`

Handles a namespace binding as an event.

Reimplemented from EventFilter.

virtual void QueryPathTreeFilter::piEvent | ( | const XMLCh * | target,
|  | const XMLCh * | value |
| ) |  |  | `[virtual]`

Handles a processing instruction node as an event.

Reimplemented from EventFilter.

virtual void QueryPathTreeFilter::startDocumentEvent | ( | const XMLCh * | documentURI,
|  | const XMLCh * | encoding |
| ) |  |  | `[virtual]`

Handles a document node as an event.

Reimplemented from EventFilter.

virtual void QueryPathTreeFilter::startElementEvent | ( | const XMLCh * | prefix,
|  | const XMLCh * | uri,
|  | const XMLCh * | localname |
| ) |  |  | `[virtual]`

Handles the start of an element node as an event.

Reimplemented from EventFilter.

virtual void QueryPathTreeFilter::textEvent | ( | const XMLCh * | chars,
|  | unsigned int | length |
| ) |  |  | `[virtual]`

Handles a text node as an event.

Reimplemented from EventFilter.

virtual void QueryPathTreeFilter::textEvent | ( | const XMLCh * | value | ) | `[virtual]`

Handles a text node as an event.

Reimplemented from EventFilter.

## Member Data Documentation

FilterStack QueryPathTreeFilter::stack_ `[protected]`

The documentation for this class was generated from the following file:

- QueryPathTreeFilter.hpp